﻿using UnityEngine;
using System.Collections;

public class ProjectileLauncher : MonoBehaviour {

    public string scene1, scene2, scene3;
    public GameObject projectile1, projectile2, projectile3, projectileHolder;
    public int projectilerinosOnScreen;
    public Sprite attackSprite;
	
	void Update ()
    {
        GameObject[] projectilesInScreen = GameObject.FindGameObjectsWithTag("Projectile");
        projectilerinosOnScreen = projectilesInScreen.Length;
        ShootBullets(Application.loadedLevelName);
    }

    void ShootBullets(string currentScene)
    {        

        if (Input.GetButton("Shoot"))
        {
            //transform.parent.gameObject.GetComponent<SpriteRenderer>().sprite = attackSprite;
        }

        if (Input.GetButtonDown("Shoot"))
        {
            if (projectilerinosOnScreen < 4)
            {
                if (currentScene == scene1)
                {
                    GameObject missile = Instantiate(projectile1, transform.position, transform.rotation) as GameObject;
                    missile.transform.SetParent(projectileHolder.transform);
                }
                else if (currentScene == scene2)
                {
                    GameObject missile = Instantiate(projectile2, transform.position, transform.rotation) as GameObject;
                    missile.transform.SetParent(projectileHolder.transform);
                }
                else if (currentScene == scene3)
                {
                    GameObject missile = Instantiate(projectile3, transform.position, transform.rotation) as GameObject;
                    missile.transform.SetParent(projectileHolder.transform);
                }
                else
                {
                    GameObject missile = Instantiate(projectile1, transform.position, transform.rotation) as GameObject;
                    missile.transform.SetParent(projectileHolder.transform);
                }
            }

            transform.parent.gameObject.GetComponent<CharacterController>().animator.SetBool("IsAttacking", true);

        }

        if (Input.GetButtonUp("Shoot"))
        {
            transform.parent.gameObject.GetComponent<CharacterController>().animator.SetBool("IsAttacking", false);

        }

    }
}
