﻿using UnityEngine;
using System.Collections;

public class ProjectileMovement : MonoBehaviour {

    public float missileSpeed = 500f;
    public float charScale;
    public GameObject player;

    void Start()
    {
        player = GameObject.Find("Character");

        charScale = player.transform.localScale.x * 2;

        if (charScale < 0)
        {
            GetComponent<SpriteRenderer>().flipX = true; 
        }
    }

	void Update ()
    {
        transform.Translate(missileSpeed * charScale, 0f, 0f, Space.Self);
	}
}
