﻿using UnityEngine;
using System.Collections;

public class BossProjectileMovement : MonoBehaviour {

    public float missileSpeed = 500f;
    public float charScale;
    public GameObject boss;

    void Start()
    {
        boss = GameObject.Find("Boss");

        charScale = boss.transform.localScale.x;

        if (charScale < 0)
        {
            GetComponent<SpriteRenderer>().flipX = true;
        }
    }

	void Update ()
    {
        transform.Translate(missileSpeed * charScale, 0f, 0f, Space.Self);
	}
}
