﻿using UnityEngine;
using System.Collections;

public class EnemyAI : MonoBehaviour {

	public float distanciaAtaque;
	public float distanciaPerseguir;
	public int tiempoRecarga;
	public GameObject proyectil;
	public GameObject jugador;
	public bool puedeAtacar = true;
	//Vector3 objetivo;
	public float velocidadMovimiento;
	public float fuerzaSalto;
	// Use this for initialization
	void Start () {
	}

	// Update is called once per frame
	void Update () {
		float dist = Vector2.Distance(transform.position, jugador.transform.position);

		if(dist < distanciaAtaque){
			if (puedeAtacar) {
				GameObject clone;
				clone = Instantiate (proyectil, transform.position, transform.rotation) as GameObject;
				puedeAtacar = false;
				Invoke("refrescarAtaque",tiempoRecarga);
			}
		}
		if(dist < distanciaPerseguir){
			//objetivo = (jugador.transform.position - transform.position).normalized;
			if (transform.position.x < jugador.transform.position.x) {
				GetComponent<Rigidbody2D>().AddForce (new Vector2(1f,0f)* velocidadMovimiento);
			} else {
				GetComponent<Rigidbody2D>().AddForce (new Vector2(-1f,0f)* velocidadMovimiento);
			}
		}

	}
	void OnTriggerEnter2D(Collider2D coll) {
		Debug.Log ("trigger");
		if (coll.gameObject.CompareTag ("salto")) {
			Debug.Log ("tag");
			GetComponent<Rigidbody2D>().AddForce (new Vector2(0f,1f)* fuerzaSalto);
		}
	}

	void refrescarAtaque(){
		puedeAtacar = true;
	}
}